> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylora.org/llms.txt
> Use this file to discover all available pages before exploring further.

# User telegram login

> Api for telegram login



## OpenAPI

````yaml https://api.paylora.org/api-doc-json post /api/v1/auth/telegram
openapi: 3.0.0
info:
  title: PAYLORA API
  description: Paylora Backend API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.paylora.org
security: []
tags: []
paths:
  /api/v1/auth/telegram:
    post:
      tags:
        - Auth
      summary: User telegram login
      description: Api for telegram login
      operationId: AuthController_telegramLogin_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TelegramLoginDto'
      responses:
        '200':
          description: User`s logined via telegram
          content:
            application/json:
              example:
                success: true
                data:
                  access: ''
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 400
                  message:
                    - '[value] is not valid'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 401
                  message: Invalid signature | jwt must be provided
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 403
                  message: Only [admin, customer] has access
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 404
                  message: Resource Not Found
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 409
                  message: Resource with unique value (email, name etc) already exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 429
                  message: Too Many Requests
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 500
                  message: Sever error message
components:
  schemas:
    TelegramLoginDto:
      type: object
      properties:
        auth_date:
          type: number
          description: Telegram authentication date
          example: 1762417564
        first_name:
          type: string
          description: User first name
          example: Jhon
        hash:
          type: string
          description: Authentication hash
          example: 679c7c5844ds
        id:
          type: number
          description: Telegram user ID
          example: 1721678137
        photo_url:
          type: string
          description: User profile photo URL
          example: https://t.me/i/userpic/320/example.jpg
        username:
          type: string
          description: Telegram username
          example: username_example
      required:
        - auth_date
        - first_name
        - hash
        - id

````